%global python3_pkgversion 38
### Abstract ###
# global prerelease b4

%global openldap_version 2.4.45-4
%global pypi_name python-ldap

Name: python%{python3_pkgversion}-ldap-epel
Version: 3.4.3
Release: 1
License: Python
Summary: An object-oriented API to access LDAP directory servers
URL: https://python-ldap.org/
Source0: %{pypi_source}


### Build Dependencies ###
BuildRequires: gcc
BuildRequires: openldap-devel >= %{openldap_version}
BuildRequires: openssl-devel
BuildRequires: cyrus-sasl-devel
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
# Test dependencies
# RHEL does not shit this
#BuildRequires: openldap-servers >= %{openldap_version}
BuildRequires: openldap-clients >= %{openldap_version}
BuildRequires: python%{python3_pkgversion}-pyasn1 >= 0.3.7
BuildRequires: python%{python3_pkgversion}-pyasn1-modules >= 0.1.5

%global _description\
python-ldap provides an object-oriented API for working with LDAP within\
Python programs.  It allows access to LDAP directory servers by wrapping the\
OpenLDAP 2.x libraries, and contains modules for other LDAP-related tasks\
(including processing LDIF, LDAPURLs, LDAPv3 schema, etc.).

%description %_description


%package -n     python%{python3_pkgversion}-ldap
Summary:        %{summary}

Requires:  openldap >= %{openldap_version}
Requires:  python%{python3_pkgversion}-pyasn1 >= 0.3.7
Requires:  python%{python3_pkgversion}-pyasn1-modules >= 0.1.5
Requires:  python%{python3_pkgversion}-setuptools
Obsoletes: python%{python3_pkgversion}-pyldap < 3
Provides:  python%{python3_pkgversion}-pyldap = %{version}-%{release}
Provides:  python%{python3_pkgversion}-pyldap%{?_isa} = %{version}-%{release}

%description -n python%{python3_pkgversion}-ldap %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}%{?prerelease}
# Fix interpreter
find . -name '*.py' | xargs sed -i '1s|^#!/usr/bin/env python|#!%{__python3}|'


%build
%py3_build


%check
PYTHONPATH=%{buildroot}%{python3_sitearch} %{__python3} -m unittest discover -v -s Tests -p 't_[a-rt-z]*' || :


%install
%py3_install

%files -n python%{python3_pkgversion}-ldap
%license LICENCE
%doc CHANGES README TODO Demo
%{python3_sitearch}/_ldap.cpython-*.so
%{python3_sitearch}/ldapurl.py*
%{python3_sitearch}/ldif.py*
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/slapdtest/
%{python3_sitearch}/ldap/
%{python3_sitearch}/python_ldap-%{version}%{?prerelease}-py%{python3_version}.egg-info/

%changelog
* Mon Oct 24 2022 Orion Poplawski <orion@nwra.com> - 3.4.3-1
- Build with Python 3.8 for EPEL
